import MapEditTool from './map-edit-tool';

export default class MapRecoverTool extends MapEditTool {

  constructor(mapEditLayer) {
    super(mapEditLayer, 'map-edit-recover',
      //'url("/static/cursor/cursor-link.png") 24 24, default');
      'pointer');
  }


  override onclick(evt : MouseEvent) {
    if (!this.mapEditLayer)
      return;
    console.log('MapRecoverTool@onDragEnd()', evt);
    this.mapEditLayer.recover(evt._contentPoint);
  }
}
